:root {
	--color-black: #292929;
	--color-blue: #197ba9;
	--color-gray: #c4c4c4;
	--color-green: #2f9c0a;
	--color-brightgreen: #a6e22e;
	--color-red: #ff543d;
	--color-bloodred: #c92c2c;
	--color-white: #fafafa;
	--background-color: var( --color-white );
	--border-color: var( --color-gray );
	--code-color: var( --color-bloodred );
	--foreground-color: var( --color-black );
	--link-color: var( --color-blue );
}

@media only screen and ( prefers-color-scheme: dark ) {
	:root {
		--background-color: var( --color-black );
		--border-color: var( --color-gray );
		--code-color: var( --color-brightgreen );
		--foreground-color: var( --color-white );
		--link-color: var( --color-red );
	}
}

body {
	background-color: var( --background-color );
	color: var( --foreground-color );
}
